GiD 14 Not Starting

Moderator: GiD Team

luccacondratiuk
Posts: 2
Joined: Tue Jul 03, 2018 2:36 pm

GiD 14 Not Starting

Postby luccacondratiuk » Tue Jul 03, 2018 2:41 pm

I'm Getting this Error in Terminal:

Code: Select all

Configuring GiD for GLX Rendering
/usr/local/gid14.0-x64/gid.exe: symbol lookup error: /usr/lib64/libfontconfig.so.1: undefined symbol: FT_Done_MM_Var


I'm Using:
-Arch Linux x64 - 4.17.3-1-ARCH
- KDE 5.47 Plasma 5.13.2
User avatar
miguel
Posts: 344
Joined: Thu Sep 25, 2014 9:04 am

Re: GiD 14 Not Starting

Postby miguel » Wed Jul 04, 2018 3:50 pm

Hi,
I've repacked GiD 14 with libfontconfig inside.
Can you download it from https://web.cimne.upc.edu/groups/gid/gid14-repack/gid14.0-linux-x64.tar.gz and give it try?
Please tell us how it works.
If you prefer you can also download the installer from here https://web.cimne.upc.edu/groups/gid/gid14-repack/gid14.0-linux-x64-Install

Thanks fro your patience,
Best,
the GiD team
luccacondratiuk
Posts: 2
Joined: Tue Jul 03, 2018 2:36 pm

Re: GiD 14 Not Starting

Postby luccacondratiuk » Thu Jul 05, 2018 2:33 am

miguel wrote:Hi,
I've repacked GiD 14 with libfontconfig inside.
Can you download it from https://web.cimne.upc.edu/groups/gid/gid14-repack/gid14.0-linux-x64.tar.gz and give it try?
Please tell us how it works.
If you prefer you can also download the installer from here https://web.cimne.upc.edu/groups/gid/gid14-repack/gid14.0-linux-x64-Install

Thanks fro your patience,
Best,
the GiD team


Almost Worked...
In the beginning I was getting the same error, then I take de libfontconfig.so.1 file contained in ~/GiDx64/14.0/lib/* and pasted it into /usr/lib64/ folder. Then I was able to run Gid, but nothing else were working (neither a terminal emulator or chrome). So I restored the old libfontconfig.so.1 file, and again, not able to run gid, getting the same error...
User avatar
miguel
Posts: 344
Joined: Thu Sep 25, 2014 9:04 am

Re: GiD 14 Not Starting

Postby miguel » Thu Jul 05, 2018 4:50 pm

Hi,
Have you downloaded and installed the 'repacked' https://web.cimne.upc.edu/groups/gid/gi ... 64-Install ?

If you've used the https://web.cimne.upc.edu/groups/gid/gi ... x64.tar.gz this file will unpack to '~/gid14.0-x64' and not to ''~/GiDx64/14.0'

are you launching gid directly with 'gid.exe' ?
You should start gid with the script '~/GiDx64/14.0/gid' which defines the LD_LIBRARY_PATH so that gid.exe finds the needed libraries in '~/GiDx64/14.0/lib/'

Return to “Installation”

Who is online

Users browsing this forum: No registered users and 1 guest